Subject: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode

From: Perry Wagle <[email-masked]>
Date: Thu, 16 Jan 2020 20:01:37 -0800

I have a Mac, so I use Aquamacs.  I have no idea how closely it tracks gnu emacs.

I upgraded Aquamacs a few weeks ago, and I don’t see a number of customizations I’ve made over the years.

Way back when, I made a customization to an .el file in the libraries that fixed the problem.  Since then, I am pretty sure I moved that customization to one of the zillions .emacs like files, but don’t see it anywhere.

The problem was that I wanted to double click on a word (variable name etc), start a search, and middle mouse to paste that word into the search-for buffer.  Instead, it overrides the search and just pastes at the cursor.

I tried to do what you asked in aquamacs, but it didn’t appear to do anything.

— Perry

> On Jan 16, 2020, at 7:41 PM, Stefan Kangas <[email-masked]> wrote:
> 
> Perry Wagle <[email-masked]> writes:
> 
>> I’m using Aquamacs, which worked, apparently until I just recently
>> upgraded it, and it blew away a lot of my customizations.
> 
> Could you please elaborate?  I'm a bit confused as to what you mean:
> Does that mean that this is no longer an issue?  Or that the issue was
> resolved but has now resurfaced?
> 
> Best regards,
> Stefan Kangas